package market.Qms.com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.BaseSteelRSpecMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_STEEL_R_SPEC", namespace=BaseSteelRSpecMapper.class)
public class BaseSteelRSpec extends BaseVO implements Serializable {

	@Id
	private Integer id;

	/** 代码 */
	@Column("STEEL_CODE")
	private String steelCode;

	/** 下限值(壁厚) */
	@Column("MIN_H")
	private String minH;

	/** 上限值(壁厚) */
	@Column("MAX_H")
	private String maxH;

	/** 下限值(外径) */
	@Column("MIN_D")
	private String minD;

	/** 上限值(外径) */
	@Column("MAX_D")
	private String maxD;

	/** 公差精度等级 */
	@Column("SPEC_LV")
	private String specLv;

	/** 重量附加系数 */
	@Column("WEIGHT_RATIO")
	private Double weightRatio;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	public Integer getId() {
		return this.id;
	}

	public String getSteelCode() {
		return this.steelCode;
	}

	public String getMinH() {
		return this.minH;
	}

	public String getMaxH() {
		return this.maxH;
	}

	public String getMinD() {
		return this.minD;
	}

	public String getMaxD() {
		return this.maxD;
	}

	public String getSpecLv() {
		return this.specLv;
	}

	public Double getWeightRatio() {
		return this.weightRatio;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public void setSteelCode(String steelCode) {
		this.steelCode = steelCode;
	}

	public void setMinH(String minH) {
		this.minH = minH;
	}

	public void setMaxH(String maxH) {
		this.maxH = maxH;
	}

	public void setMinD(String minD) {
		this.minD = minD;
	}

	public void setMaxD(String maxD) {
		this.maxD = maxD;
	}

	public void setSpecLv(String specLv) {
		this.specLv = specLv;
	}

	public void setWeightRatio(Double weightRatio) {
		this.weightRatio = weightRatio;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

}
